Browse Source

d/control{.in}: update debhelper build dependencies per lintian warnings

- dh-systemd is outdated
- dh-python should be explicit b-dep
- bump debhelper version dependency preparing for newer standards

Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
tags/debian/3.19-1
Christian Ehrhardt Bernd Zeimetz 2 years ago
parent
commit
de9b20c53d
2 changed files with 6 additions and 4 deletions
  1. +3
    -2
      debian/control
  2. +3
    -2
      debian/control.in

+ 3
- 2
debian/control View File

@@ -2,7 +2,8 @@ Source: gpsd
Section: misc
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8.1.3~), po-debconf,
Build-Depends: debhelper (>= 11),
po-debconf,
python-all-dev (>= 2.6.6-3),
python-all-dbg (>= 2.6.6-3),
xsltproc, docbook-xsl, docbook-xml,
@@ -15,8 +16,8 @@ Build-Depends: debhelper (>= 8.1.3~), po-debconf,
dpkg-dev (>= 1.15.6),
scons (>= 2.0.1), chrpath,
dh-buildinfo,
dh-python,
pps-tools (>= 0.20120406+g0deb9c7e-2~) [linux-any],
dh-systemd (>= 1.3),
pkg-config
Standards-Version: 3.9.2
Homepage: http://www.catb.org/gpsd/


+ 3
- 2
debian/control.in View File

@@ -2,7 +2,8 @@ Source: gpsd
Section: misc
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8.1.3~), po-debconf,
Build-Depends: debhelper (>= 11),
po-debconf,
python-all-dev (>= 2.6.6-3),
python-all-dbg (>= 2.6.6-3),
xsltproc, docbook-xsl, docbook-xml,
@@ -15,8 +16,8 @@ Build-Depends: debhelper (>= 8.1.3~), po-debconf,
dpkg-dev (>= 1.15.6),
scons (>= 2.0.1), chrpath,
dh-buildinfo,
dh-python,
pps-tools (>= 0.20120406+g0deb9c7e-2~) [linux-any],
dh-systemd (>= 1.3),
pkg-config
Standards-Version: 3.9.2
Homepage: http://www.catb.org/gpsd/


Loading…
Cancel
Save